// -*- mode: C++ -*-

#ifndef MiX_NULLCONVERTER_H_
#define MiX_NULLCONVERTER_H_

namespace MiX{
  template <class charT>
  class NullConverter{
  public:
    /**
     * 内部文字型に変換します
     *
     * \param str インタフェース用文字列へのポインタ
     * 
     */
    charT* convertToInternalCharSet(charT* str){
      return str;
    }
  };
}
#endif//MiX_NULLCONVERTER_H_
